#Force Python 3 to be used for byte compilation:
%define __python %{__python3}

Name:		backintime
Version:	1.1.24
Release:	%mkrel 1
Summary:	Backup tool for Linux
License:	GPLv2+
Group:		Archiving/Backup
URL:		http://backintime.le-web.org
Source0:	http://backintime.le-web.org/download/backintime/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	libpython3-devel

%description
Back In Time is a simple backup tool for Linux inspired from
Flyback project and TimeVault.

#--------------------------------------------------------------------

%package	common
Summary:	Back Up Tool for Linux
Group:		Archiving/Backup
Requires:	python3
Requires:	rsync
Requires:	cron-daemon
Requires:	python3-keyring
Requires:	python3-dbus
Requires:	cronie
Requires:	openssh-clients


%description	common
Common files for Back In Time.

%files common -f %{name}.lang
%doc %{_datadir}/doc/%{name}/
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-askpass
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/common/
%{_datadir}/%{name}/plugins/usercallbackplugin.py
%{_datadir}/%{name}/plugins/userscriptsplugin.py
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-askpass.1.*
%{_mandir}/man1/%{name}-config.1.*

#---------------------------------------------------------------------

%package	qt4
Summary:	Qt4 Frontend for Back In Time
Group:		Archiving/Backup
Requires:	%{name}-common = %{version}-%{release}
Requires:	x11-tools
Requires:	python3-qt4
Requires:	libnotify
Requires:	polkit
Requires:	python3-keyring
Requires:	python3-sip

Provides:	backintime-kde4 = %{version}-%{release}
Obsoletes:	backintime-kde4 
Provides:	backintime-notify = %{version}-%{release}
Obsoletes:	backintime-notify
Provides:	backintime-gnome = %{version}-%{release}
Obsoletes:	backintime-gnome

%description	qt4
Qt4 Frontend for Back In Time.

%files qt4
%doc %{_docdir}/%{name}-qt4/
%{_bindir}/%{name}-qt4
%{_bindir}/%{name}-qt4-root
%{_bindir}/backintime-qt4_polkit
%{_sbindir}/%{name}-qt4-root
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-qt4-root
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}-qt4-root
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/net.launchpad.%{name}.serviceHelper.conf
%{_datadir}/dbus-1/system-services/net.launchpad.%{name}.serviceHelper.service
%{_datadir}/polkit-1/actions/net.launchpad.%{name}.policy
%{_datadir}/applications/%{name}-qt4.desktop
%{_datadir}/applications/%{name}-qt4-root.desktop
%{_datadir}/%{name}/qt4/
%{_datadir}/%{name}/plugins/notifyplugin.py
%{_datadir}/%{name}/plugins/qt4plugin.py
%{_datadir}/doc/qt/HTML/en/%{name}/index.docbook
%{_iconsdir}/hicolor/*/actions/*.svg
%{_mandir}/man1/%{name}-qt4.1.*

#---------------------------------------------------------------------

%prep
%setup -q

# Fix documentation directories.
sed -i -e "s|'%{name}-common'|'%{name}'|g" common/config.py
sed -i -e "s|%{name}-common|%{name}|g" common/configure qt4/configure

%build
#configure used, but fixed upstream to be able to use configure macro

pushd common
./configure --no-fuse-group --python3
%make_build
popd

pushd qt4
./configure --python3
%make_build
popd

%install
pushd common
%make_install
popd

pushd qt4
%make_install
popd

desktop-file-install \
      --dir=%{buildroot}%{_datadir}/applications \
      --add-category="X-MandrivaLinux-System-Archiving-Backup" \
      %{buildroot}%{_datadir}/applications/%{name}-qt4.desktop

desktop-file-install \
      --dir=%{buildroot}%{_datadir}/applications/ \
      --set-key=Exec --set-value="pkexec %{_bindir}/backintime-qt4" \
      --add-category="X-MandrivaLinux-System-Archiving-Backup" \
      %{buildroot}%{_datadir}/applications/%{name}-qt4-root.desktop

      
perl -pi -e "s|document-save|archiving_section|" %{buildroot}/%{_datadir}/applications/*.desktop
      
     
mkdir -p %{buildroot}%{_sbindir}
cp -p %{buildroot}%{_bindir}/%{name}-qt4 \
      %{buildroot}%{_sbindir}/%{name}-qt4-root

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-qt4-root

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-qt4-root
USER=root
PROGRAM=%{_sbindir}/%{name}-qt4-root
SESSION=true
EOF

mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-qt4-root
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

chmod +x %{buildroot}%{_datadir}/%{name}/common/askpass.py
chmod +x %{buildroot}%{_datadir}/%{name}/common/create-manpage-backintime-config.py
chmod +x %{buildroot}%{_datadir}/%{name}/common/bcolors.py
chmod +x %{buildroot}%{_datadir}/%{name}/common/sshMaxArg.py

%find_lang %{name}

%changelog
* Mon Oct 08 2018 adrianomorselli <adrianomorselli> 1.1.24-1uplos2018
- update
